.\" SPDX-License-Identifier: BSD-2-Clause

.\" Copyright (c) 2022 Alessio Chiapperini

.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.

.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.

.Dd April 6, 2022
.Dt CAT 1
.Os
.Sh NAME
.Nm cat
.Nd concatenate and print files in reverse.
.Sh SYNOPSIS
.Nm
.Op Fl \&hu
.Op Ar file ...
.Sh DESCRIPTION
The
.Nm
utility reads files sequentially, writing them to standard output in reverse
starting from the last character. The
.Ar file
operands are processed in command-line order. If
.Ar file
is a single dash
.Pq Sq Fl
or absent,
.Nm
reads from standard input.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl h
Print usage information and exit.
.It Fl u
Write bytes from the input file to the standard output without delay as each is read.
.El
.Sh "EXIT STATUS"
The
.Nm
utility exits 0 on success, and 1 if an error occurs.
.Sh EXAMPLES
Print the contents of the file named
.Ar file
to standard output in reverse:
.Dl $ cat file
.Pp
Sequentially print the contents of the files
.Ar file1
and
.Ar file2
to the file
.Ar file3
in reverse:
.Dl $ cat file1 file2 > file3
.Pp
Reverse data it receives from standard input until it receives an EOF
.Pq ^D
character to standard output:
.Dl $ cat -
.Sh SEE ALSO
.Xr rev 1
.Sh AUTHOR
.An Alessio Chiapperini Aq Mt alessio.chiapperini@\:nullbuffer.com 

